Subject: Re: bug#6539: ispell-complete-word looks for wrong file (at least on w32)

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Jun 2010 20:35:35 +0300

> Date: Wed, 30 Jun 2010 14:27:47 +0200
> From: Agustin Martin <[email-masked]>
> Cc: 
> 
> > > I think that this bug report can be closed or renamed to something like
> > > 'Improve `ispell-alternate-dictionary' docstring'.
> > 
> > I think the default for ispell-alternate-dictionary should be changed on w32.
> 
> Or, more globally, find a good and not confusing name for default personal 
> plain wordlist that can be used in every system, be it w32 or not, so it is 
> tried first in `ispell-alternate-dictionary', something like
> 
> (expand-file-name "~/.personal.words")

How will that help, exactly?  /usr/dict/words exists on almost every
Posix system, which is why ispell.el has that as the default.  But
there's no comparable functionality on Windows, so the only way of
getting this work on Windows is to find or download such a file from
somewhere, and manually install it in some arbitrary directory.  How
is Emacs supposed to know whether such a file exists, and where?